# There have been no official releases yet, so we pull from git
%global gitdate  20180309
%global gittag   8b63a9cc90e51ab7ec8d78956876022cba011819
%global shorttag %(cut -b -7 <<< %{gittag})
%global user     sebasguts
%global pkgname  nautytracesinterface

Name:           gap-pkg-%{pkgname}
Version:        0.2
Release:        3.%{gitdate}git%{shorttag}%{?dist}
Summary:        GAP interface to nauty and Traces

License:        GPLv2+
URL:            https://github.com/sebasguts/NautyTracesInterface
Source0:        https://github.com/%{user}/NautyTracesInterface/tarball/%{gittag}/%{user}-%{pkgname}-%{shorttag}.tar.gz
# Fedora-only patch: use the system nauty library
Patch0:         %{name}-nauty.patch

BuildRequires:  gap-devel
BuildRequires:  gap-pkg-autodoc
BuildRequires:  gcc-c++
BuildRequires:  libnauty-devel
BuildRequires:  libtool

Requires:       gap-core

%description
This GAP package provides an interface to nauty and Traces.

%prep
%autosetup -p0 -n %{user}-NautyTracesInterface-%{shorttag}

# Make sure the bundled nauty is not used
rm -fr src/nauty*

# Generate the configure script
autoreconf -fi

%build
%configure --with-gaproot=%{_gap_dir} --with-nauty=%{_includedir}/nauty \
  --disable-silent-rules

# Get rid of undesirable hardcoded rpaths
sed -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    -i libtool

%make_build

%install
# make install doesn't put ANYTHING where it is supposed to go, so...
mkdir -p %{buildroot}%{_gap_dir}/pkg/%{pkgname}
cp -a bin examples gap tst VERSION *.g %{buildroot}%{_gap_dir}/pkg/%{pkgname}

%check
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" < tst/testall.g 2>&1 | tee log
grep -Fvq fail log
rm -f log

%files
%doc README
%license COPYING
%docdir %{_gap_dir}/pkg/%{pkgname}/examples
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Tue Jun 12 2018 Jerry James <loganjerry@gmail.com> - 0.2-3.20180309git8b63a9c
- Update to recent git snapshot

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-2.20171120git5f16120
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan  2 2018 Jerry James <loganjerry@gmail.com> - 0.2-1.20171120git5f16120
- Use autosetup
- Fix version number

* Tue Nov 28 2017 Jerry James <loganjerry@gmail.com> - 0.1-1.20171120git5f16120
- Initial RPM
